body{
    margin: 0;
}

.image-grid{
    --gap: 16px;
    --num-cols: 4;
    --row-height: 300px;

    box-sizing: border-box;
    padding: var(--gap);

    display: grid;
    grid-template-columns: repeat(var(--num-cols), 1fr);
    grid-auto-rows: var(--row-height);
    gap: var(--gap);
}

.image-grid > img{
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 10px;
}

@media  screen and (max-width: 1024px) {
    .image-grid{
        --num-cols: 3;
        --row-height: 250px;
    }
}

@media  screen and (max-width: 700px) {
    .image-grid{
        --num-cols: 2;
        --row-height: 200px;
    }
}